classdef cnpkg < cns_package
methods (Static)

% Contains definitions that apply to an entire model.

%-----------------------------------------------------------------------------------------------------------------------

function f = CNSFields

% These 4-D data blocks will contain the full input image and its corresponding ground truth output.

f.input = {'ma', 'dnames', {'f' 'y' 'x' 'd'}, 'dims', {1 1 2 2}, 'dparts', {2 1 1 2}};
f.label = {'ma', 'dnames', {'f' 'y' 'x' 'd'}, 'dims', {1 1 2 2}, 'dparts', {2 1 1 2}};

% Each iteration of the network will use a different subcube of the input (and corresponding output).  Such a subcube
% is called a 'minibatch'.  The following 2-D data block will contain the Y, X, and D offsets that define the
% minibatch for each iteration.

f.batch = {'ma', 'cache', 'dnames', {'i' 'c'}, 'dims', {1 2}, 'dparts', {1 1}, 'int'};

end

%-----------------------------------------------------------------------------------------------------------------------

end
end