classdef cnpkg_bias < cnpkg_base
methods (Static)

% Bias type.  Each weight array in a weight layer has a corresponding scalar bias value in a bias layer.  The bias is
% also updated by backpropagation.

%-----------------------------------------------------------------------------------------------------------------------

function p = CNSProps

p.dnames = {'nf'}; % Bias layers are 1-dimensional.
p.dims   = {1};
p.dparts = {1};

end

%-----------------------------------------------------------------------------------------------------------------------

function f = CNSFields

f.zn = {'lz', 'type', 'computed'}; % Pointer to the next 'X' level (that these biases help generate).

f.eta = {'lp', 'private'}; % Learning rate for these biases.

f.val = {'cv', 'cache'}; % Holds the bias values.

end

%-----------------------------------------------------------------------------------------------------------------------

end
end