classdef cnpkg_computed < cnpkg_level
methods (Static)

% Abstract type encompassing 'X' layers that perform computations, i.e., hidden and output layers.

%-----------------------------------------------------------------------------------------------------------------------

function p = CNSProps

p.abstract = true;
p.kernels  = {'back'};

end

%-----------------------------------------------------------------------------------------------------------------------

function f = CNSFields

f.zp = {'lz', 'type', 'level'};  % Pointer to the previous level.
f.zw = {'lz', 'type', 'weight'}; % Pointer to the weights used to generate this level from the previous level.
f.zb = {'lz', 'type', 'bias'};   % Pointer to the biases used to generate this level from the previous level.

f.sens = {'cv', 'cache', 'dflt', 0}; % Holds the backward-propagating error term ('sensitivity') for each cell.

end

%-----------------------------------------------------------------------------------------------------------------------

end
end