// Kernel for a single cell of an input layer.

// Block size is usually [16 N] where N is found by experiment.  See CNS manual.
// N might need to be reduced for cards below GTX 285/295.
#BLOCKSIZE 16 16

// Get minibatch offset into input block for this iteration.
int yoff = READ_BATCH(ITER_NO, 0);
int xoff = READ_BATCH(ITER_NO, 1);
int doff = READ_BATCH(ITER_NO, 2);

// Get input value.
float v = READ_INPUT(THIS_F, THIS_Y + yoff, THIS_X + xoff, THIS_D + doff);

WRITE_VAL(v);
