classdef cnpkg_level < cnpkg_base
methods (Static)

% Abstract type encompassing all 'X' layers: input, hidden, and output.  Does not include weight and bias layers.

%-----------------------------------------------------------------------------------------------------------------------

function p = CNSProps

p.abstract = true;

p.dnames = {'f' 'y' 'x' 'd'};      % Levels are 4-dimensional.
p.dmap   = [false true true true]; % The spatial dimensions will be mapped to common real-valued coordinates.
p.dims   = {1 1 2 2};
p.dparts = {2 1 1 2};              % Y and X are inner dimensions and should be iterated over using inner loops.

end

%-----------------------------------------------------------------------------------------------------------------------

function f = CNSFields

f.val = {'cv', 'cache', 'dflt', 0}; % Holds the (forward-propagating) value of each cell.

end

%-----------------------------------------------------------------------------------------------------------------------

end
end