// Backward pass for a single cell of an output layer.  Computes the sensitivity.

// Block size is usually [16 N] where N is found by experiment.  See CNS manual.
// N might need to be reduced for cards below GTX 285/295.
#BLOCKSIZE 16 16

// Get minibatch offset into label block for this iteration.
int yoff = READ_BATCH(ITER_NO, 0);
int xoff = READ_BATCH(ITER_NO, 1);
int doff = READ_BATCH(ITER_NO, 2);

// Get label value.
float c = READ_LABEL(THIS_F, THIS_Y + yoff, THIS_X + xoff, THIS_D + doff);

float v = READ_VAL;

float s = DSigmoid(v) * (c - v);

WRITE_SENS(s);
