classdef cnpkg_weight < cnpkg_base
methods (Static)

% Weight type.  A weight layer holds a set of weights used to generate one 'X' level from another.  The goal of
% backpropagation is to find optimal weights.  (See also the bias type.)

%-----------------------------------------------------------------------------------------------------------------------

function p = CNSProps

p.dnames = {'f' 'y' 'x' 'd' 'nf'}; % Weight layers are 5-dimensional.
p.dims   = {1 1 2 2 1};
p.dparts = {2 1 1 2 3};            % Inner dimensions are the same as for 'X' levels.

end

%-----------------------------------------------------------------------------------------------------------------------

function f = CNSFields

f.zp = {'lz', 'type', 'level'};    % Pointer to the previous 'X' level.
f.zn = {'lz', 'type', 'computed'}; % Pointer to the next 'X' level (that these weights help generate).

f.eta = {'lp', 'private'}; % Learning rate for this set of weights.

f.val = {'cv', 'cache'}; % Holds the weight values.

end

%-----------------------------------------------------------------------------------------------------------------------

end
end